Name: libsmi
Version: 0.4.1
Release: alt1

Summary: A library to access SMI MIB information
License: BSD
Group: System/Libraries
URL: http://www.ibr.cs.tu-bs.de/projects/libsmi/index.html

Packager: Oleg Prokopyev <riiki@altlinux.ru>

Source0: ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/%name-%version.tar.gz
Source1: smi.conf
Patch0:  libsmi-0.4.0-man.patch
Patch1:  libsmi-0.4.1-configure.patch

# Automatically added by buildreq on Fri Nov 29 2002
BuildRequires: autoconf-common flex glibc-devel-static wget

%package devel
Summary: Development environment for libsmi library
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libsmi library
Group: Development/C
Requires: %name-devel = %version-%release

%description
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules. 

This package contains tools to check, dump, and convert MIB 
definitions and a steadily maintained and revised archive 
of all IETF and IANA maintained standard MIB modules. 

%description devel
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules. 

This package contains development files needed to develop %name-based
applications.

%description devel-static
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules. 

This package contains the static %name library needed to develop 
statically linked %name-based applications.                                                                                                                    
  
%define smipath %_datadir/mibs
%define mibpath %buildroot%_datadir/mibs

%prep
%setup -q

%patch0 -p0
%patch1 -p0

%build
%configure \
	--with-mibdir=%mibpath \
	--with-smipath=%smipath \
	--sysconfdir=%_sysconfdir \
	--enable-smi \
	--enable-sming \
	--enable-shared \
	--enable-static
	
%make_build

%install			
%makeinstall
install -p -d %buildroot%_sysconfdir
install -p -m 644 %SOURCE1 %buildroot%_sysconfdir/smi.conf

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog ANNOUNCE README COPYING TODO THANKS doc/draft-irtf-nmrg-sming-02.txt smi.conf-example
%config %_sysconfdir/smi.conf
%_bindir/*
%_libdir/*.so.*
%_mandir/man1/*
%_datadir/mibs

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_mandir/man3/*

%files devel-static
%_libdir/*.a

%changelog                                                                                                                        
* Fri Nov 29 2002 Oleg Prokopyev <riiki@altlinux.ru> 0.4.1-alt1
- new version

* Fri Nov 22 2002 Oleg Prokopyev <riiki@altlinux.ru> 0.4.0-alt1
- Initial build for Sisyphus.
